<?php 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$sessao = new sessao();
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
$finalidade=$sessao->getVar('finalidade');



$userbd = new amostras();
$userbd->extras_select = "WHERE fic_id=$amostraLong";
$userbd->selecionaTudo($userbd);
$resbd = $userbd->retornaDados();
//echo $finalidade;
$protocolo=0;
if($finalidade=='DEFINITIVA'):
   $protocolo=$resbd->fic_amostra;
else:
   $protocolo=$resbd->fic_amostra_previa;
endif;



$ano=$resbd->fic_ano;


echo("finalidade= $finalidade ano= $ano  protocolo=$protocolo<br>");


/////////////////////
if (post('bt_editar') !== ""):
        $vaiGravar=TRUE;
        $novoNumero=post('novoNumero');
		if($novoNumero==$protocolo):
        	printMSG('Não haverá gravação pois o número é o mesmo!','erro');	
		    $vaiGravar=FALSE;
		endif;

		if($novoNumero<1):
        	printMSG('Não haverá gravação, informe um número de amostra.','erro');	
		    $vaiGravar=FALSE;
		endif;

        //vai verificar se aquele numero de amostra ja existe 
	    $user = new amostras();
		if($finalidade=='DEFINITIVA'):
		    $user->extras_select = "WHERE  fic_amostra=".$novoNumero." && fic_ano='".$ano."' && fic_labo=".$idLabo;
		else:
		    $user->extras_select = "WHERE  fic_amostra_previa=".$novoNumero." && fic_ano='".$ano."' && fic_labo=".$idLabo;
		endif;	
        $user->selecionaTudo($user);
        if ($user->linhasafetadas==1):
		    $vaiGravar=FALSE;
            //printMSG('Esta amostra já existe, para este ano! Nada foi modificado.'.$user->extras_select.$finalidade,'erro');
            printMSG('Esta amostra já existe, para este ano! Nada foi modificado.','erro');
        endif;  
 
       if($vaiGravar==TRUE):
          if($finalidade=='DEFINITIVA'):
	  	    $user = new amostras(array(
	        'fic_amostra'=>$novoNumero,
	            ));
          else:
	  	    $user = new amostras(array(
	        'fic_amostra_previa'=>$novoNumero,
	            ));
          endif;
	        $user->valorpk = $amostraLong;
	        $user->extras_select = "WHERE   fic_id=$amostraLong";
	        $user->selecionaTudo($user);
	        $res = $user->retornaDados();
            $user->atualizar($user);
            if ($user->linhasafetadas==1):
                printMSG('Dados alterados com sucesso! Recomendo entrar novamente no registro de amostra, via menu.');
            endif;  
		endif;//testa vaigravar			    

endif;//final do isset bt_editar



?>






<html>
<body bgcolor="#c7cfc5">
<form class="userform" method="post" action="">
     <fieldset>
      <table>
      <tr>
	  <td>Amostra <?php echo $protocolo;?></td>
      <td>-->Recebida no dia <?php echo date("d/m/Y",strtotime($resbd->fic_dt_entrada));?></td>
	  
	
	  
	  </tr>
 
 
		</table>  
		</fieldset> 
		
		
		<table>
		<tr>
        <td>
		    Novo número
			<input type="text" size="3"   maxlength="5"   name="novoNumero" value="<?php echo $novoNumero;?> "/>
			<input type="submit" name="bt_editar" value="Salvar novo numero" />
		</td>		
		</tr>
		</table>
        Obs.: Esta é uma operação crucial que só existe para raros casos. Se possível evite esta operação.<br> 
		 Use quando vai começar usar o sistema e já está com múmero de amostra alto.<br> 
		 Use se acidentalmente deletou uma amostra e ficou um buraco na sequencia, meste caso cria uma amostra e atribua o número que precisar.<br> 
		  
        
</form>
</body>



</html>
